package com.jaworski.security.handbook;

import java.math.BigInteger;

public class RSAEncrypt {
 public static void main(String[] args) {
  if(args.length != 3) {
   String err = "Usage: java ";
   err += "com.jaworski.security.handbook.RSAEncrypt ";
   err += "modulous key plaintext";
   System.out.println(err);
   System.exit(0);
  }
  int arg = 0;
  try {
   BigInteger n = new BigInteger(args[0]);
   ++arg;
   BigInteger e = new BigInteger(args[1]);
   ++arg;
   BigInteger plaintext = new BigInteger(args[2]);
   BigInteger ciphertext = plaintext.modPow(e,n);
   System.out.println(ciphertext);
  }catch(Exception ex1) {
   String err = "Error: arg["+arg+"] is invalid.";
   System.out.println(err);
  }
 }
}