package com.jaworski.security.handbook;

import java.io.*;
import java.security.*;

public class Base64EncodeConsoleApp {
 private static final int BUFFER_SIZE = 48;
 public static void main(String[] args) {
  String help = "Usage: java com.jaworski.security.handbook.";
  help += "Base64EncodeConsoleApp infile outfile";
  if(args.length != 2) {
   System.out.println(help);
   return;
  }
  base64Encode(args[0],args[1]);
 }
 public static void base64Encode(String f1,String f2) {
  try {
   BufferedInputStream in = new BufferedInputStream(
    new FileInputStream(f1));
   PrintWriter out = new PrintWriter(new BufferedWriter(
    new FileWriter(f2)));
   byte[] buffer = new byte[BUFFER_SIZE];
   int i;
   do {
    i = in.read(buffer,0,BUFFER_SIZE);
    if (i == BUFFER_SIZE) 
     out.print(Conversion.byteArrayToBase64String(buffer,i));
    else if(i > 0)
     out.println(Conversion.byteArrayToBase64String(buffer,i));
   } while(i == BUFFER_SIZE);
   in.close();
   out.close();
  } catch(IOException e) {
   System.out.println("I/O error.");
  }
 }
}
