package com.jaworski.security.handbook;

import java.security.*;

public final class Rot13Provider extends Provider {
 public Rot13Provider() {
  // Pass info to superclass constructor
  super("Rot13Provider", 1.0, 
   "Rot13Provider 1.0 provides a custom ROT13 implementation.");
  // Set provider properties
  put("Cipher.ROT13","com.jaworski.security.handbook.Rot13Cipher");
 }
}